using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.IO;
using System.Data;

namespace GConvert
{
	/// <summary>
	/// Summary description for FormPathConvert.
	/// </summary>
	public class FormPathConvert : System.Windows.Forms.Form
	{
      private System.Windows.Forms.Panel panel1;
      private System.Windows.Forms.DataGrid dataGrid1;
      private System.Windows.Forms.Button btnOK;
      private System.Windows.Forms.Button btnCancel;

      public GConvert.FormMain frmMain = null;
      private GConvert.dsConvert.PathConvertDataTable tblPathConvert = null;
      /// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public FormPathConvert(GConvert.FormMain frmMain1)
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

         //-------------
         // Get access to the last stored paths configuration
         //-------------
         this.frmMain = frmMain1;

		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
         this.panel1 = new System.Windows.Forms.Panel();
         this.btnCancel = new System.Windows.Forms.Button();
         this.btnOK = new System.Windows.Forms.Button();
         this.dataGrid1 = new System.Windows.Forms.DataGrid();
         this.panel1.SuspendLayout();
         ((System.ComponentModel.ISupportInitialize)(this.dataGrid1)).BeginInit();
         this.SuspendLayout();
         // 
         // panel1
         // 
         this.panel1.Controls.Add(this.btnCancel);
         this.panel1.Controls.Add(this.btnOK);
         this.panel1.Dock = System.Windows.Forms.DockStyle.Bottom;
         this.panel1.Location = new System.Drawing.Point(0, 454);
         this.panel1.Name = "panel1";
         this.panel1.Size = new System.Drawing.Size(536, 32);
         this.panel1.TabIndex = 0;
         // 
         // btnCancel
         // 
         this.btnCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
         this.btnCancel.Location = new System.Drawing.Point(296, 4);
         this.btnCancel.Name = "btnCancel";
         this.btnCancel.Size = new System.Drawing.Size(72, 24);
         this.btnCancel.TabIndex = 1;
         this.btnCancel.Text = "Cancel";
         // 
         // btnOK
         // 
         this.btnOK.DialogResult = System.Windows.Forms.DialogResult.OK;
         this.btnOK.Location = new System.Drawing.Point(176, 4);
         this.btnOK.Name = "btnOK";
         this.btnOK.Size = new System.Drawing.Size(72, 24);
         this.btnOK.TabIndex = 0;
         this.btnOK.Text = "OK";
         this.btnOK.Click += new System.EventHandler(this.btnOK_Click);
         // 
         // dataGrid1
         // 
         this.dataGrid1.DataMember = "";
         this.dataGrid1.Dock = System.Windows.Forms.DockStyle.Fill;
         this.dataGrid1.HeaderForeColor = System.Drawing.SystemColors.ControlText;
         this.dataGrid1.Location = new System.Drawing.Point(0, 0);
         this.dataGrid1.Name = "dataGrid1";
         this.dataGrid1.Size = new System.Drawing.Size(536, 454);
         this.dataGrid1.TabIndex = 1;
         // 
         // FormPathConvert
         // 
         this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
         this.ClientSize = new System.Drawing.Size(536, 486);
         this.Controls.Add(this.dataGrid1);
         this.Controls.Add(this.panel1);
         this.Name = "FormPathConvert";
         this.Text = "Path Conversion";
         this.Load += new System.EventHandler(this.FormPathConvert_Load);
         this.panel1.ResumeLayout(false);
         ((System.ComponentModel.ISupportInitialize)(this.dataGrid1)).EndInit();
         this.ResumeLayout(false);

      }
		#endregion

      private void btnOK_Click(object sender, System.EventArgs e)
      {
         this.frmMain.dsConvert1.PathConvert.Rows.Clear();
         foreach (DataRow r in this.tblPathConvert.Rows)
         {
            GConvert.dsConvert.PathConvertRow r2 = (GConvert.dsConvert.PathConvertRow)r;
            this.frmMain.dsConvert1.PathConvert.AddPathConvertRow(r2.Order, r2.Old, r2.New);
         }
         this.frmMain.SaveAll();
      }

      private void btnMoveUp_Click(object sender, System.EventArgs e)
      {
         if (this.dataGrid1.CurrentRowIndex > 0)
         {
            int   nIndex = this.dataGrid1.CurrentRowIndex;
            DataRow r1 = this.tblPathConvert.Rows[nIndex];
            this.tblPathConvert.Rows.RemoveAt(nIndex);
            this.tblPathConvert.Rows.InsertAt(r1, nIndex-1);
         }
      }

      private void btnMoveDown_Click(object sender, System.EventArgs e)
      {
         if (this.dataGrid1.CurrentRowIndex < (this.frmMain.dsConvert1.PathConvert.Rows.Count-1))
         {
            int nIndex = this.dataGrid1.CurrentRowIndex;
            DataRow r1 = this.tblPathConvert.Rows[nIndex];
            this.tblPathConvert.Rows.RemoveAt(nIndex);
            this.tblPathConvert.Rows.InsertAt(r1, nIndex);
         }
      }

      private void FormPathConvert_Load(object sender, System.EventArgs e)
      {
         //-------------
         // Fill out the local table from the main DataSet
         //-------------
         tblPathConvert = (GConvert.dsConvert.PathConvertDataTable) this.frmMain.dsConvert1.PathConvert.Copy();
         //         tblPathConvert = new GConvert.dsConvert.PathConvertDataTable();
         //         foreach (DataRow r in this.frmMain.dsConvert1.PathConvert.Rows)
         //         {
         //            GConvert.dsConvert.PathConvertRow r1 = (GConvert.dsConvert.PathConvertRow) r;
         //            GConvert.dsConvert.PathConvertRow r2 = this.frmMain.dsConvert1.PathConvert.NewPathConvertRow();
         //            GConvert.dsConvert.PathConvertRow r3 = this.frmMain.dsConvert1.PathConvert.
         //            r2.Old = r1.Old;
         //            r2.New = r1.New;
         //            tblPathConvert.Rows.Add(r2);
         //         }

         this.dataGrid1.DataSource = tblPathConvert;
      
      }
	}
}
